YPWHICH(8)

NAME
ypwhich - return NIS server

SYNOPSIS
ypwhich [ -d domainname ] [ hostname ]

ypwhich [ -d domainname ] [ -t ] -m [ mname ]

AVAILABILITY

This program is available with the Networking Tools and Programs software installation option. Refer to for information on how to install optional software.

DESCRIPTION

ypwhich tells which Network Interface Service (NIS) server supplies the NIS service to an NIS client, and which NIS server is the master for a map. If invoked without arguments, it gives the NIS server for the local machine. If hostname is specified, that machine is queried to find out which NIS master it is using.

If the -m switch is used without mname, a list of every map in the domain and the master of each will be printed. If mname is specified, only the master NIS server for that map is printed. mname may be a mapname, or a nickname for a mapname. Mapnames and nicknames are described in ypcat(1).

OPTIONS

-d domainname
    specifies the name of an NIS domain. The default is the default domain for the local machine.

-m  Find the master NIS server for a map, or for all maps in a domain. No hostname may be specified with -m.

-t  Inhibit nickname translation; useful if there is a mapname identical to a nickname. This is not true of any Sun-supplied map.

SEE ALSO
ypcat(1), ypfiles(5), rpcinfo(8C), yppush(8), ypserv(8)

NOTES

The Network Information Service (NIS) was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed. The name Yellow Pages is a registered trademark in the United Kingdom of British Telecommunications plc, and may not be used without permission.